StackMapFrameInfo.ObjectVerificationTypeInfo (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: StackMapFrameInfo, interface: ObjectVerificationTypeInfo
Keywords: java.lang.classfile.attribute.StackMapFrameInfo.ObjectVerificationTypeInfo interface

# Interface StackMapFrameInfo.ObjectVerificationTypeInfo

All Superinterfaces:
  `StackMapFrameInfo.VerificationTypeInfoPREVIEW`

Enclosing interface:
  `StackMapFrameInfoPREVIEW`

public static sealed interface StackMapFrameInfo.ObjectVerificationTypeInfo extends StackMapFrameInfo.VerificationTypeInfoPREVIEW
`ObjectVerificationTypeInfo` is a preview API of the Java platform.
Programs can only use `ObjectVerificationTypeInfo` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A stack value for an object type.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassEntryPREVIEW`
  `className()`
  Returns the class of the object.
  `default ClassDesc`
  `classSymbol()`
  Returns the class of the object.
  `static StackMapFrameInfo.ObjectVerificationTypeInfoPREVIEW`
  `of(ClassEntryPREVIEW className)`
  Returns a new object verification type info.
  `static StackMapFrameInfo.ObjectVerificationTypeInfoPREVIEW`
  `of(ClassDesc classDesc)`
  Returns a new object verification type info.

  ### Methods declared in interface java.lang.classfile.attribute.StackMapFrameInfo.VerificationTypeInfoPREVIEW

  `tag`

- ## Method Details

  - ### of

    static StackMapFrameInfo.ObjectVerificationTypeInfoPREVIEW of(ClassEntryPREVIEW className)
    Returns a new object verification type info.
    Parameters:
      `className` - the class of the object
    Returns:
      a new object verification type info

  - ### of

    static StackMapFrameInfo.ObjectVerificationTypeInfoPREVIEW of(ClassDesc classDesc)
    Returns a new object verification type info.
    Parameters:
      `classDesc` - the class of the object
    Returns:
      a new object verification type info
    Throws:
      `IllegalArgumentException` - if `classDesc` represents a primitive type

  - ### className

    ClassEntryPREVIEW className()
    Returns the class of the object.
    Returns:
      the class of the object

  - ### classSymbol

    default ClassDesc classSymbol()
    Returns the class of the object.
    Returns:
      the class of the object